/****************************  MACRO PARA LEITURA DO ARQUIVO DE DOMICLIOS   ********************************************/

/* 	PARMETROS DE ENTRADA	

		PASTA - caminho da pasta onde est o arquivo com as informaes dos domiclios da UF desejada.
		UF - cdigo numrico da UF desejada
	
	SAIDA 

		Arquivo DOMIC no formato SAS

****************************************************************************************************************************/

%MACRO LE_DOMIC(PASTA,UF);

FILENAME DOMIC "&PASTA.\DOM&UF..TXT" LRECL=170 ;

DATA DOMIC;
INFILE DOMIC MISSOVER;
INPUT	
@1 	V0102 $2.	/*	"UNIDADE DA FEDERAO
					11- Rondnia
					12- Acre
					13- Amazonas
					14- Roraima
					15- Par
					16- Amap
					17- Tocantins
					21- Maranho
					22- Piau
					23- Cear
					24- Rio Grande do Norte
					25- Paraba
					26- Pernambuco
					27- Alagoas
					28- Sergipe
					29- Bahia
					31- Minas Gerais
					32- Esprito Santo
					33- Rio de Janeiro
					35- So Paulo
					41- Paran
					42- Santa Catarina
					43- Rio Grande do Sul
					50- Mato Grosso do Sul
					51- Mato Grosso
					52- Gois
					53 - Distrito Federal"	*/
@3 	V1002 $4.	/*	"CODIGO DA MESORREGIO
					A RELAO ENCONTRA-SE NO ARQUIVO Diviso Territorial Brasileira.xls"	*/
@7 	V1003 $5.	/*	"CODIGO DA MICRORREGIO
					A RELAO ENCONTRA-SE NO ARQUIVO Diviso Territorial Brasileira.xls"	*/
@12 	V0103 $7.	/*	"CODIGO DO MUNICPIO
					A RELAO ENCONTRA-SE NO ARQUIVO Diviso Territorial Brasileira.xls"	*/
@19 	V0104 $9.	/*	"CODIGO DO DISTRITO
					A RELAO ENCONTRA-SE NO ARQUIVO Diviso Territorial Brasileira.xls"	*/
@28 	V0105 $11.	/*	"CODIGO DO SUBDISTRITO
					A RELAO ENCONTRA-SE NO ARQUIVO Diviso Territorial Brasileira.xls"	*/
@39 	V0300 8.	/*	CONTROLE	*/
@47 	V0400 2.	/*	'= 00 (DOMICLIO) 	*/
@49 	V1001 $1.	/*	"REGIO GEOGRFICA
					1- Regio Norte
					2- Regio Nordeste
					3- Regio Sudeste
					4- Regio Sul
					5- Regio Centro-Oeste"	*/
@50 	V1004 $2.	/*	"REGIO METROPOLITANA
						VER ARQUIVO AUXILIARES"	*/
@52 	AREAP $13.	/*	"REA DE PONDERAO
					CATEGORIAS NO ARQUIVO Municpios Com Mais de Uma rea de Ponderao.xls"	*/
@65 	V1005 $1.	/*	"SITUAO DO SETOR
					1- rea urbanizada de vila ou cidade
					2- rea no urbanizada de vila ou cidade
					3- rea urbanizada isolada
					4- Rural - extenso urbana
					5- Rural - povoado
					6- Rural - ncleo
					7- Rural - outros aglomerados
					8- Rural - exclusive os aglomerados rurais"	*/
@66 	V1006 $1.	/*	"SITUAO DO DOMICLIO
					1- Urbano
					2- Rural"	*/
@67 	V1007 $1.	/*	"TIPO DO SETOR
					0- Setor comum ou no especial
					1- Setor especial de aglomerado subnormal
					2- Setor especial de quartis, bases militares, etc.
					3- Setor especial de alojamento, acampamentos, etc.
					4- Setor especial de embarcaes, barcos, navios, etc.
					5- Setor especial de aldeia indgena
					6- Setor especial de penitencirias, colnias penais, presdios, cadeias, etc.
					7- Setor especial de asilos, orfanatos, conventos, hospitais, etc."	*/
@68 	V0110 2.	/*	TOTAL DE HOMENS	*/
@70 	V0111 2.	/*	TOTAL DE MULHERES	*/
@72 	V0201 $1.	/*	"ESPCIE DE DOMICILIO
					1- Particular permanente
					2- Particular improvisado
					3- Coletivo"	*/
@73 	M0201 $1.	/*	"INDICADORA DE IMPUTAO NA V0201
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@74 	V0202 $1.	/*	"TIPO DO DOMICLIO
					1- Casa
					2- Apartamento
					3- Cmodo
					Branco- No aplicvel"	*/
@75 	M0202 $1.	/*	"INDICADORA DE IMPUTAO NA V0202
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@76 	V0203 2.	/*	"TOTAL DE CMODOS
					Branco- para particular improvisado e domiclio coletivo"	*/
@78 	M0203 $1.	/*	"INDICADORA DE IMPUTAO NA V0203
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@79 	V0204 1.	/*	"TOTAL DE CMODOS SERVINDO DE DORMITRIO
					Branco- para particular improvisado e domiclio coletivo"	*/
@80 	M0204 $1.	/*	"INDICADORA DE IMPUTAO NA V0204
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@81 	V0205 $1.	/*	"CONDIO DO DOMICLIO
					1- Prprio, j pago
					2- Prprio, ainda pagando
					3- Alugado
					4- Cedido por empregador
					5- Cedido de outra forma
					6- Outra Condio
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@82 	M0205 $1.	/*	"INDICADORA DE IMPUTAO NA V0205
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@83 	V0206 $1.	/*	"CONDIO DO TERRENO
					1- Prprio
					2- Cedido
					3- Outra condio
					Branco- para domiclio particular improvisado, domiclio coletivo e domiclio particular permanente 
					que no  prprio (V0205 = 3 a 6)"	*/
@84 	M0206 $1.	/*	"INDICADORA DE IMPUTAO NA V0206
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@85 	V0207 $1.	/*	"FORMA DE ABASTECIMENTO DE GUA
					1- Rede geral
					2- Poo ou nascente (na propriedade)
					3- Outra
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@86 	M0207 $1.	/*	"INDICADORA DE IMPUTAO NA V0207
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@87 	V0208 $1.	/*	"TIPO DE CANALIZAO
					1- Canalizada em pelo menos um cmodo
					2- Canalizada s na propriedade ou terreno
					3- No canalizada
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@88 	M0208 $1.	/*	"INDICADORA DE IMPUTAO NA V0208
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@89 	V0209 $1.	/*	"TOTAL DE BANHEIROS
					0- No tem
					1- 1 banheiro
					2- 2 banheiros
					3- 3 banheiros
					4- 4 banheiros
					5- 5 banheiros
					6- 6 banheiros
					7- 7 banheiros
					8- 8 banheiros
					9- 9 ou mais banheiros
					Branco para domiclio particular improvisado e domiclio coletivo"	*/
@90 	M0209 $1.	/*	"INDICADORA DE IMPUTAO NA V0209
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@91 	V0210 $1.	/*	"EXISTNCIA DE SANITRIO
					1- Sim
					2- No
					Branco- para domiclio particular improvisado, domiclio coletivo e domiclio particular permanente que tinha banheiro(s)"	*/
@92 	M0210 $1.	/*	"INDICADORA DE IMPUTAO NA V0210
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@93 	V0211 $1.	/*	"TIPO DE ESCOADOURO
					1- Rede geral de esgoto ou pluvial
					2- Fossa sptica
					3- Fossa rudimentar
					4- Vala
					5- Rio, lago ou mar
					6- Outro escoadouro
					Branco- para domiclio particular improvisado, domiclio coletivo e domiclio particular permanente 
					que tinha banheiro(s) ou sanitrio"	*/
@94 	M0211 $1.	/*	"INDICADORA DE IMPUTAO NA V0211
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@95 	V0212 $1.	/*	"COLETA DE LIXO
					1- Coletado por servio de limpeza
					2- Colocado em caamba de servio de limpeza
					3- Queimado (na propriedade)
					4- Enterrado (na propriedade)
					5- Jogado em terreno baldio ou logradouro
					6- Jogado em rio, lago ou mar
					7- Tem outro destino
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@96 	M0212 $1.	/*	"INDICADORA DE IMPUTAO NA V0212
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@97 	V0213 $1.	/*	"ILUMINAO ELTRICA
					1- Sim
					2- No
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@98 	M0213 $1.	/*	"INDICADORA DE IMPUTAO NA V0213
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@99 	V0214 $1.	/*	"EXISTNCIA DE RDIO
					1- Sim
					2- No
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@100 	M0214 $1.	/*	"INDICADORA DE IMPUTAO NA V0214
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@101 	V0215 $1.	/*	"EXISTNCIA DE GELADEIRA OU FREEZER
						1- Sim
						2- No
						Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@102 	M0215 $1.	/*	"INDICADORA DE IMPUTAO NA V0215
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@103 	V0216 $1.	/*	"EXISTNCIA DE VIDEOCASSETE
					1- Sim
					2- No
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@104 	M0216 $1.	/*	"INDICADORA DE IMPUTAO NA V0216
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@105 	V0217 $1.	/*	"EXISTNCIA DE MQUINA DE LAVAR ROUPA
					1- Sim
					2- No
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@106 	M0217 $1.	/*	"INDICADORA DE IMPUTAO NA V0217
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@107 	V0218 $1.	/*	"EXISTNCIA DE FORNO DE MICROONDAS
					1- Sim
					2- No
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@108 	M0218 $1.	/*	"INDICADORA DE IMPUTAO NA V0218
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@109 	V0219 $1.	/*	"EXISTNCIA DE LINHA TELEFNICA INSTALADA
					1- Sim
					2- No
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@110 	M0219 $1.	/*	"INDICADORA DE IMPUTAO NA V0219
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@111 	V0220 $1.	/*	"EXISTNCIA DE MICROCOMPUTADOR
					1- Sim
					2 No
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@112 	M0220 $1.	/*	"INDICADORA DE IMPUTAO NA V0220
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@113 	V0221 $1.	/*	"QUANTIDADE EXISTENTE DE TELEVISORES
					0- No tem
					1- 1 televisor
					2- 2 televisores
					3- 3 televisores
					4- 4 televisores
					5- 5 televisores
					6- 6 televisores
					7- 7 televisores
					8- 8 televisores
					9- 9 ou mais televisores
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@114 	M0221 $1.	/*	"INDICADORA DE IMPUTAO NA V0221
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@115 	V0222 $1.	/*	"QUANTIDADE EXISTENTE DE AUTOMVEIS PARA USO PARTICULAR
					0- No tem
					1- 1 automvel
					2- 2 automveis
					3- 3 automveis
					4- 4 automveis
					5- 5 automveis
					6- 6 automveis
					7- 7 automveis
					8- 8 automveis
					9- 9 ou mais automveis
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@116 	M0222 $1.	/*	"INDICADORA DE IMPUTAO NA V0222
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@117 	V0223 $1.	/*	"QUANTIDADE EXISTENTE DE APARELHOS DE AR CONDICIONADO
					0- No tem
					1- 1 aparelho
					2- 2 aparelhos
					3- 3 aparelhos
					4- 4 aparelhos
					5- 5 aparelhos
					6- 6 aparelhos
					7- 7 aparelhos
					8- 8 aparelhos
					9- 9 ou mais aparelhos
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@118 	M0223 $1.	/*	"INDICADORA DE IMPUTAO NA V0223
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@119 	V7100 2.	/*	TOTAL DE MORADORES NO DOMICLIO	*/
@121 	V7203 3.1	/*	"DENSIDADE DE MORADORES POR CMODO
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@124 	V7204 3.1	/*	"DENSIDADE DE MORADORES POR DORMITRIO
					Branco- para domiclio particular improvisado e domiclio coletivo"	*/
@127 	V7401 2.	/*	"NMERO DE COMPONENTES DA FAMLIA 01
					Branco- para domiclio coletivo"	*/
@129 	V7402 2.	/*	"NMERO DE COMPONENTES DA FAMLIA 02
					Branco- para domiclio coletivo"	*/
@131 	V7403 2.	/*	"NMERO DE COMPONENTES DA FAMLIA 03
					Branco- para domiclio coletivo"	*/
@133 	V7404 2.	/*	"NMERO DE COMPONENTES DA FAMLIA 04
					Branco- para domiclio coletivo"	*/
@135 	V7405 2.	/*	"NMERO DE COMPONENTES DA FAMLIA 05
					Branco- para domiclio coletivo"	*/
@137 	V7406 2.	/*	"NMERO DE COMPONENTES DA FAMLIA 06
					Branco- para domiclio coletivo"	*/
@139 	V7407 2.	/*	"NMERO DE COMPONENTES DA FAMLIA 07
					Branco- para domiclio coletivo"	*/
@141 	V7408 2.	/*	"NMERO DE COMPONENTES DA FAMLIA 08
					Branco- para domiclio coletivo"	*/
@143 	V7409 2.	/*	"NMERO DE COMPONENTES DA FAMLIA 09
					Branco- para domiclio coletivo"	*/
@145 	V7616 6.	/*	TOTAL DE RENDIMENTOS DO DOMICLIO PARTICULAR	*/
@151 	V7617 6.2	/*	TOTAL DE RENDIMENTOS DO DOMICLIO PARTICULAR, EM SALRIOS MNIMOS	*/
@157 	P001 11.8	/*	PESO (Peso atribudo ao domiclio)	*/
@168 	V1111 $1.	/*	"EXISTNCIA DE IDENTIFICAO
					1- Sim
					2- No
					9- Ignorado
					Branco- para domiclio coletivo"	*/
@169 	V1112 $1.	/*	"EXISTNCIA DE ILUMINAO PBLICA
					1- Sim
					2- No
					9- Ignorado
					Branco- para domiclio coletivo"	*/
@170 	V1113 $1.	/*	"EXISTNCIA DE CALAMENTO/PAVIMENTAO
					1- Total
					2- Parcial
					3- No Existe
					9- Ignorado
					Branco- para domiclio coletivo"	*/
;
RUN;

%MEND;

 /* Exemplo de chamada da macro para o Acre
	%LE_DOMIC(\\CHI00534610\Publico_IBGE,12)*/
