/****************************   MACRO PARA LEITURA DO ARQUIVO DE FAMILIAS   ********************************************/

/* 	PARMETROS DE ENTRADA	

	PASTA - caminho da pasta onde est o arquivo com as informaes das famlias da UF desejada.
	UF - cdigo numrico da UF desejada
	
	SAIDA 

	Arquivo FAMILIAS no formato SAS

****************************************************************************************************************************/

%MACRO LE_FAMILIAS(PASTA,UF);

FILENAME FAMILIAS "&PASTA.\FAMI&UF..TXT" LRECL=118;

DATA FAMILIAS;
INFILE FAMILIAS MISSOVER;
INPUT
@1 	V0102 $2.		/*	"UNIDADE DA FEDERAO
					11- Rondnia
					12- Acre
					13- Amazonas
					14- Roraima
					15- Par
					16- Amap
					17- Tocantins
					21- Maranho
					22- Piau
					23- Cear
					24- Rio Grande do Norte
					25- Paraba
					26- Pernambuco
					27- Alagoas
					28- Sergipe
					29- Bahia
					31- Minas Gerais
					32- Esprito Santo
					33- Rio de Janeiro
					35- So Paulo
					41- Paran
					42- Santa Catarina
					43- Rio Grande do Sul
					50- Mato Grosso do Sul
					51- Mato Grosso
					52- Gois
					53- Distrito Federal"	*/
@3 	V1002 $4.		/*	"MESORREGIO
						A relao encontra-se na pasta Arquivos Auxiliares no arquivo Diviso Territorial Brasileira.xls"	*/
@7 	V1003 $5.		/*	"MICRORREGIO
						A relao encontra-se na pasta Arquivos Auxiliares no arquivo Diviso Territorial Brasileira.xls"	*/
@12 	V0103 $7.	/*	"MUNICPIO
						A relao encontra-se na pasta Arquivos Auxiliares no arquivo Diviso Territorial Brasileira.xls"	*/
@19 	V0104 $9.	/*	"DISTRITO
						A relao encontra-se na pasta Arquivos Auxiliares no arquivo Diviso Territorial Brasileira.xls"	*/
@28 	V0105 $11.	/*	"SUDISTRITO
						A relao encontra-se na pasta Arquivos Auxiliares no arquivo Diviso Territorial Brasileira.xls"	*/
@39 	V0300 8.	/*	CONTROLE	*/
@47 	V0404 2.	/*	> 00 (NMERO DE ORDEM DA FAMILIA NO DOMICLIO)	*/
@49 	V1001 $1.	/*	"REGIO GEOGRFICA
						1- Regio Norte
						2- Regio Nordeste
						3- Regio Sudeste
						4- Regio Sul
						5- Regio Centro-Oeste"	*/
@50 	V1004 $2.	/*	"REGIO METROPOLITANA
						01- Belm
						02- Grande So Lus
						03- Fortaleza
						04- Natal
						05- Recife
						06- Macei
						07- Salvador
						08- Belo Horizonte
						09- Colar Metropolitano da RM de Belo Horizonte
						10- Vale do Ao
						11- Colar Metropolitano da RM do Vale do Ao
						12- Grande Vitria
						13- Rio de Janeiro
						14- So Paulo
						15- Baixada Santista
						16- Campinas
						17- Curitiba
						18- Londrina
						19- Maring
						20- Florianpolis
						21- rea de Expanso Metropolitana da RM de Florianpolis
						22- Ncleo Metropolitano da RM Vale do Itaja
						23- rea de Expanso Metropolitana da RM Vale do Itaja
						24- Norte/Nordeste Catarinense
						25- rea de Expanso Metropolitana da RM Norte/Nordeste Catarinense
						26- Porto Alegre
						27 Goinia
						28 RIDE (Regio Integrada de Desenvolvimento do Distrito Federal e Entorno)
						Branco - No aplicvel"	*/
@52 	AREAP $13.	/*	"REA DE PONDERAO
						A relao encontra-se na pasta Arquivos Auxiliares no arquivo MUNICPIOS COM MAIS DE UMA REA DE PONDERAO.xls"	*/
@65 	CODV0404 $1.	/*	"TIPO DE FAMLIA (1)
						0- nica (uma s famlia vive no domiclio)
						1- Famlias conviventes: 1 famlia
						2- Famlias conviventes: 2 famlia
						3- Famlias conviventes: 3 famlia
						4- Famlias conviventes: 4 famlia
						5- Famlias conviventes: 5 famlia e mais
						9- Morador individual"	*/
@66 	CODV0404_2 $2./*	"TIPO DE FAMLIA (2)
						01- Casal sem filhos
						02- Casal com filhos menores de 14 anos
						03- Casal com filhos de 14 anos ou mais
						04- Casal com filhos de idades variadas
						05- Me com filhos menores de 14 anos
						06- Me com filhos de 14 anos ou mais
						07- Me com filhos de idades variadas
						08- Pai com filhos menores de 14 anos
						09- Pai com filhos de 14 anos ou mais
						10- Pai com filhos de idades variadas
						11- Outros tipos de famlias
						12- Morador individual"	*/
@68 	V4614B 7.	/*	RENDIMENTO NOMINAL FAMILIAR	*/
@75 	CODV4615B $2. /*	"CLASSE DE RENDIMENTO NOMINAL FAMILIAR
						01- At 0,25 salrio mnimo
						02- Mais de 0,25 a 0,5 salrio mnimo
						03- Mais de 0,5 a 1 salrio mnimo
						04- Mais de 1 a 2 salrios mnimos
						05- Mais de 2 a 3 salrios mnimos
						06- Mais de 3 a 5 salrios mnimos
						07- Mais de 5 a 10 salrios mnimos
						08- Mais de 10 a 15 salrios mnimos
						09- Mais de 15 a 20 salrios mnimos
						10- Mais de 20 a 30 salrios mnimos
						11- Mais de 30 salrios mnimos
						12- Sem rendimento"	*/
@77 	V4614C 7.	/*	RENDIMENTO NOMINAL, RESPONSAVEL/CASAL	*/
@84 	CODV4615C $2. /*	"CLASSE DE RENDIMENTO NOMINAL, RESPONSAVEL/CASAL
						01- At 0,25 salrio mnimo
						02- Mais de 0,25 a 0,5 salrio mnimo
						03- Mais de 0,5 a 0,75 salrio mnimo
						04- Mais de 0,75 a 1 salrio mnimo
						05- Mais de 1 a 1,25 salrios mnimos
						06- Mais de 1,25 a 1,5 salrios mnimos
						07- Mais de 1,5 a 2 salrios mnimos
						08- Mais de 2 a 3 salrios mnimos
						09- Mais de 3 a 5 salrios mnimos
						10- Mais de 5 a 10 salrios mnimos
						11- Mais de 10 a 15 salrios mnimos
						12- Mais de 15 a 20 salrios mnimos
						13- Mais de 20 a 30 salrios mnimos
						14- Mais de 30 salrios mnimos
						15- Sem rendimento"	*/
@86 	V4616_7400 8.2 	/*	RENDIMENTO NOMINAL FAMILIAR PER-CAPITA	*/
@94 	CODV4615_7400 $2. /*	"CLASSE RENDIMENTO NOMINAL FAMILIAR PER-CAPITA
						01- At 0,25 salrio mnimo
						02- Mais de 0,25 a 0,5 salrio mnimo
						03- Mais de 0,5 a 1 salrio mnimo
						04- Mais de 1 a 2 salrios mnimos
						05- Mais de 2 a 3 salrios mnimos
						06- Mais de 3 a 5 salrios mnimos
						07- Mais de 5 a 10 salrios mnimos
						08- Mais de 10 a 15 salrios mnimos
						09- Mais de 15 a 20 salrios mnimos
						10- Mais de 20 a 30 salrios mnimos
						11- Mais de 30 salrios mnimos
						12- Sem rendimento"	*/
@96 	V7400 2.	/*	NMERO DE COMPONENTES DA FAMLIA	*/
@98 	CODV7400 $2.	/*	"CLASSE DE NMERO DE COMPONENTES
					01- 1 pessoa
					02- 2 pessoas
					03- 3 pessoas
					04- 4 pessoas
					05- 5 pessoas
					06- 6 pessoas
					07- 7 pessoas
					08- 8 pessoas
					09- 9 pessoas
					10- 10 pessoas
					11- 11 pessoas
					12- 12 pessoas
					13- 13 pessoas
					14- 14 pessoas
					15- 15 ou mais pessoas"	*/
@100 	V7400A 2.	/*	NMERO DE COMPONENTES HOMENS DA FAMLIA	*/
@102 	CODV7400A $2. /*	"CLASSE DE NMERO DE COMPONENTES HOMENS DA FAMLIA
					00- nenhum
					01- 1 homem
					02- 2 homens
					03- 3 homens
					04- 4 homens
					05- 5 homens
					06- 6 homens
					07- 7 homens
					08- 8 homens
					09- 9 homens
					10- 10 homens
					11- 11 homens
					12- 12 homens
					13- 13 homens
					14- 14 homens
					15- 15 ou mais homens"	*/
@104 	V7400B 2.	/*	NMERO DE COMPONENTES MULHERES DA FAMLIA	*/
@106 	CODV7400B $2. /*	"CLASSE DE NMERO DE COMPONENTES MULHERES DA FAMLIA
						00- nenhum
						01- 1 mulher
						02- 2 mulheres
						03- 3 mulheres
						04- 4 mulheres
						05- 5 mulheres
						06- 6 mulheres
						07- 7 mulheres
						08- 8 mulheres
						09- 9 mulheres
						10- 10 mulheres
						11- 11 mulheres
						12- 12 mulheres
						13- 13 mulheres
						14- 14 mulheres
						15- 15 ou mais mulheres"	*/
@108 	P001 11.8	/*	PESO (Peso atribudo ao domiclio)	*/
;
RUN;

%MEND;

 /* Exemplo de chamada da macro para o Acre
	%LE_FAMILIAS(\\CHI00534610\PUBLICO_IBGE,12);*/
