/****************************   MACRO PARA LEITURA DO ARQUIVO DE PESSOAS   ***********************************************/

/* 	PARMETROS DE ENTRADA	

		PASTA - caminho da pasta onde est o arquivo com as informaes das pessoas da UF desejada.
		UF - cdigo numrico da UF desejada
	
	SAIDA 

		Arquivo PESSOAS no formato SAS

****************************************************************************************************************************/

%MACRO LE_PESSOAS(PASTA,UF);

FILENAME PESSOAS "&PASTA.\PES&UF..TXT" LRECL=390 ;

DATA PESSOAS;
INFILE PESSOAS MISSOVER;
INPUT
@1 	V0102 $2.	/*	"UNIDADE DA FEDERAO
				11- Rondnia
				12- Acre
				13- Amazonas
				14- Roraima
				15- Par
				16- Amap
				17- Tocantins
				21- Maranho
				22- Piau
				23- Cear
				24- Rio Grande do Norte
				25- Paraba
				26- Pernambuco
				27- Alagoas
				28- Sergipe
				29- Bahia
				31- Minas Gerais
				32- Esprito Santo
				33- Rio de Janeiro
				35- So Paulo
				41- Paran
				42- Santa Catarina
				43- Rio Grande do Sul
				50- Mato Grosso do Sul
				51- Mato Grosso
				52- Gois
				53 - Distrito Federal"	*/
@3 	V1002 $4.	/*	"CODIGO DA MESORREGIO
				A RELAO ENCONTRA-SE NO ARQUIVO Diviso Territorial Brasileira.xls"	*/
@7 	V1003 $5.	/*	"CODIGO DA MICRORREGIO
				A RELAO ENCONTRA-SE NO ARQUIVO Diviso Territorial Brasileira.xls"	*/
@12 	V1103 $7.	/*	"CODIGO DO MUNICIPIO
				A RELAO ENCONTRA-SE NO ARQUIVO Diviso Territorial Brasileira.xls"	*/
@19 	V0104 $9.	/*	"CODIDO DO DISTRITO
				A RELAO ENCONTRA-SE NO ARQUIVO Diviso Territorial Brasileira.xls"	*/
@28 	V0105 $11.	/*	"CODIGO DO SUBDISTRITO
				A RELAO ENCONTRA-SE NO ARQUIVO Diviso Territorial Brasileira.xls"	*/
@39 	V0300 8.	/*	CONTROLE	*/
@47 	V0400 2.	/*	> 00 (PESSOA)	*/
@49 	V1004 $2.	/*	"REGIO METROPOLITANA
				VER ARQUIVO AUXILIAR"	*/
@51 	AREAP $13.	/*	"REA DE PONDERAO
					A RELAO ENCONTRA-SE NO ARQUIVO Municpios Com Mais de Uma rea de Ponderao.xls"	*/
@64 	V1001 $1.	/*	"REGIO GEOGRFICA
					1- Regio Norte (uf = 11 a 17)
					2- Regio Nordeste (uf = 21 a 29)
					3- Regio Sudeste (uf = 31 a 35)
					4- Regio Sul (uf = 41 a 43)
					5- Regio Centro-Oeste (uf = 50 a 53)"	*/
@65 	V1005 $1.	/*	"SITUAO DO SETOR
					1- rea urbanizada de cidade ou vila
					2- rea no urbanizada de cidade ou vila
					3- rea urbanizada isolada
					4- Rural - de extenso urbana
					5- Rural - povoado
					6- Rural - ncleo
					7- Rural - outros aglomerados
					8- Rural - exclusive os aglomerados rurais"	*/
@66 	V1006 $1.	/*	"SITUAO DO DOMICLIO
					1- Urbano, se V1005 = 1, 2, 3
					2- Rural, se V1005 = 4, 5, 6, 7, 8"	*/
@67 	V1007 $1.	/*	"TIPO DO SETOR
					0- Setor comum ou no especial
					1- Setor especial de aglomerado subnormal
					2- Setor especial de quartis, bases militares, etc.
					3- Setor especial de alojamento, acampamentos, etc.
					4- Setor especial de embarcaes, barcos, navios, etc.
					5- Setor especial de aldeia indgena
					6- Setor especial de penitencirias, colnias penais, presdios, cadeias, etc.
					7- Setor especial de asilos, orfanatos, conventos, hospitais, etc."	*/
@68 	MARCA $1.	/*	"SE A PRPRIA PESSOA PRESTOU AS INFORMAES
					1- Se a prpria pessoa prestou as informaes
					Branco- As informaes foram prestadas por outra pessoa do domiclio"	*/
@69 	V0401 $1.	/*	"SEXO
					1- Masculino
					2- Feminino"	*/
@70 	M0401 $1.	/*	"INDICADORA DE IMPUTAO NA V0401
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@71 	V0402 $2.	/*	"RELAO COM RESPONSVEL PELO DOMICLIO
					01- Pessoa responsvel
					02- Cnjuge, companheiro(a)
					03- Filho(a), enteado(a)
					04- Pai, me, sogro(a)
					05- Neto(a), bisneto(a)
					06- Irmo, irm
					07- Outro parente
					08- Agregado(a)
					09- Pensionista
					10- Empregado(a) domstico(a)
					11- Parente do(a) empregado(a) domstico(a)
					12- Individual em domiclio coletivo"	*/
@73 	M0402 $1.	/*	"INDICADORA DE IMPUTAO NA V0402
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@74 	V0403 $2.	/*	"RELAO COM RESPONSVEL PELA FAMLIA
					01- Pessoa responsvel
					02- Cnjuge, companheiro(a)
					03- Filho(a), enteado(a)
					04- Pai, me, sogro(a)
					05- Neto(a), bisneto(a)
					06- Irmo, irm
					07- Outro parente
					08- Agregado(a)
					09- Pensionista
					10- Empregado(a) domstico(a)
					11- Parente do(a) empregado(a) domstico(a)
					12- Individual em domiclio coletivo"	*/
@76 	M0403 $1.	/*	"INDICADORA DE IMPUTAO NA V0403
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@77 	V0404 1.	/*	"NMERO DA FAMLIA
					0- Individual em domiclio coletivo"	*/
@78 	M0404 $1.	/*	"INDICADORA DE IMPUTAO NA V0404
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@79 	V4572 3.	/*	IDADE CALCULADA EM ANOS COMPLETOS - A PARTIR DE 1 ANO	*/
@82 	M4752 $1.	/*	"INDICADORA DE IMPUTAO NA V4752
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@83 	V4754 2.	/*	"IDADE CALCULADA EM MESES - MENOS DE UM ANO (Valores de 00 a 11)
					00- Inclusive para as pessoas com idade em anos completos a partir de um ano"	*/
@85 	M4754 $1.	/*	"INDICADORA DE IMPUTAO NA V4754
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@86 	V4070 $1.	/*	"INDICADORA DA FORMA DE DECLARAO DA IDADE (DATA DE NASCIMENTO, IDADE INFORMADA OU IDADE ESTIMADA)
					1- Idade calculada
					2- Idade presumida/declarada"	*/
@87 	V0408 $1.	/*	"COR OU RAA
					1-Branca
					2- Preta
					3- Amarela
					4- Parda
					5- Indgena
					9- Ignorado"	*/
@88 	M0408 $1.	/*	"INDICADORA DE IMPUTAO NA V0408
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@89 	V4090 $3.	/*	"CDIGO DA RELIGIO
					CATEGORIAS NO ARQUIVO Estrutura de Religio-V4090.doc"	*/
@92 	M4090 $1.	/*	"INDICADORA DE IMPUTAO NA V4090 (0 e 1)
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@93 	V0410 $1.	/*	"PROBLEMA MENTAL PERMANENTE
					1- Sim
					2- No
					9- Ignorado"	*/
@94 	M0410 $1.	/*	"INDICADORA DE IMPUTAO NA V0410
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@95 	V0411 $1.	/*	"CAPACIDADE DE ENXERGAR
					1- Incapaz
					2- Grande dificuldade permanente
					3- Alguma dificuldade permanente
					4- Nenhuma dificuldade
					9- Ignorado"	*/
@96 	M0411 $1.	/*	"INDICADORA DE IMPUTAO NA V0411
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@97 	V0412 $1.	/*	"CAPACIDADE DE OUVIR
					1- Incapaz
					2- Grande dificuldade permanente
					3- Alguma dificuldade permanente
					4- Nenhuma dificuldade
					9- Ignorado"	*/
@98 	M0412 $1.	/*	"INDICADORA DE IMPUTAO NA V0412
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@99 	V0413 $1.	/*	"CAPACIDADE DE CAMINHAR/SUBIR ESCADAS
					1- Incapaz
					2- Grande dificuldade permanente
					3- Alguma dificuldade permanente
					4- Nenhuma dificuldade
					9- Ignorado"	*/
@100 	M0413 $1.	/*	"INDICADORA DE IMPUTAO NA V0413
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@101 	V0414 $1.	/*	"DEFICINCIAS
					1- Paralisia permanente total
					2- Paralisia permanente das pernas
					3- Paralisia permanente de um dos lados do corpo
					4- Falta de perna, brao, mo, p ou dedo polegar
					5- Nenhuma das enumeradas
					9- Ignorado"	*/
@102 	M0414 $1.	/*	"INDICADORA DE IMPUTAO NA V0414
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@103 	V0415 $1.	/*	"SEMPRE MOROU NESTE MUNICPIO
					1- Sim
					2- No"	*/
@104 	M0415 $1.	/*	"INDICADORA DE IMPUTAO NA V0415
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@105 	V0416 2.	/*	"TEMPO DE MORADIA NESTE MUNICPIO
					Branco- para os no migrantes"	*/
@107 	M0416 $1.	/*	"INDICADORA DE IMPUTAO NA V0416
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@108 	V0417 $1.	/*	"NASCEU NESTE MUNICPIO
					1- Sim
					2- No
					Branco- para os no migrantes"	*/
@109 	M0417 $1.	/*	"INDICADORA DE IMPUTAO NA V0417
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@110 	V0418 $1.	/*	"NASCEU NESTA UF
					1- Sim
					2- No
					Branco- para os no migrantes e os naturais do municpio"	*/
@111 	M0418 $1.	/*	"INDICADORA DE IMPUTAO NA V0418
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@112 	V0419 $1.	/*	"NACIONALIDADE
					1- Brasileiro nato
					2- Naturalizado brasileiro
					3- Estrangeiro
					Branco- para os no migrantes e os naturais da Unidade da Federao onde foi realizado o Censo 2000"	*/
@113 	M0419 $1.	/*	"INDICADORA DE IMPUTAO NA V0419
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@114 	V0420 $4.	/*	"ANO QUE FIXOU RESIDNCIA NO BRASIL
					Branco- para os no migrantes e os brasileiros natos"	*/
@118 	M0420 $1.	/*	"INDICADORA DE IMPUTAO NA V0420
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@119 	V4210 $2.	/*	"CDIGO DA UF OU PAS DE NASCIMENTO
					Branco- para os no migrantes e os naturais da Unidade da Federao onde foi realizado o Censo 2000
					CATEGORIAS NO ARQUIVO Estrutura Migrao V4210, V4260.xls"	*/
@121 	M4210 $1.	/*	"INDICADORA DE IMPUTAO NA V4210
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@122 	V0422 2.	/*	"TEMPO DE MORADIA NA UF
					Branco- para os no migrantes"	*/
@124 	M0422 $1.	/*	"INDICADORA DE IMPUTAO NA V0422
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@125 	V4230 $2.	/*	"CDIGO DA UF OU PAS DE RESIDNCIA ANTERIOR
					Branco para os no migrantes e os que moram na Unidade da Federao h 10 anos ou mais. 
					CATEGORIAS NO ARQUIVO Estrutura de Migrao V4230.xls"	*/
@127 	M4230 $1.	/*	"INDICADORA DE IMPUTAO NA V4230
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@128 	V0424 $1.	/*	"RESIDNCIA EM 31 DE JULHO DE 1995
					1- Neste municpio, na zona urbana
					2- Neste municpio, na zona rural
					3- Em outro municpio, na zona urbana
					4- Em outro municpio, na zona rural
					5- Em outro pas
					6- No era nascido
					Branco- para os no migrantes"	*/
@129 	M0424 $1.	/*	"INDICADORA DE IMPUTAO NA V0424
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@130 	V4250 $7.	/*	"CDIGO DO MUNICPIO DE RESIDNCIA
					Branco- para os no migrantes, os moradores no municpio onde foi realizado o Censo 2000, os moradores em outro 
					pas e aos no nascidos em 31/07/1995.
					CATEGORIAS NO ARQUIVO Municpios-V4250.xls"	*/
@137 	M4250 $1.	/*	"INDICADORA DE IMPUTAO NA V4250
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@138 	V4260 $2.	/*	"CDIGO DA UF OU PAS DE RESIDNCIA EM 31/07/1995
					Branco- para os no migrantes, os moradores no municpio onde foi realizado o Censo 2000 e os no nascidos em 31/07/1995.
					CATEGORIAS NO ARQUIVO Estrutura de Migrao V4210, V4260.xls"	*/
@140 	M4260 $1.	/*	"INDICADORA DE IMPUTAO NA V4260
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@141 	V4276 $7.	/*	"CDIGO DO MUNICPIO E UF OU PAS ESTRANGEIRO QUE TRABALHA OU ESTUDA
					CATEGORIAS NO ARQUIVO Municpios e Pas Estrangeiro-V4276.xls"	*/
@148 	M4276 $1.	/*	"INDICADORA DE IMPUTAO NA V4276
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@149 	V0428 $1.	/*	"SABE LER E ESCREVER
					1- Sabe ler e escrever
					2- No sabe"	*/
@150 	M0428 $1.	/*	"INDICADORA DE IMPUTAO NA V0428
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@151 	V0429 $1.	/*	"FREQENTA ESCOLA OU CRECHE
					1- Sim, rede particular
					2- Sim, rede pblica
					3- No, j freqentou
					4- Nunca freqentou"	*/
@152 	M0429 $1.	/*	"INDICADORA DE IMPUTAO NA V0429
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@153 	V0430 $2.	/*	"CURSO QUE FREQENTA
					01- Creche
					02- Pr-escolar
					03- Classe de alfabetizao
					04- Alfabetizao de adultos
					05- Ensino fundamental ou 1 grau - regular seriado
					06- Ensino fundamental ou 1 grau - regular no-seriado
					07- Supletivo (ensino fundamental ou 1 grau)
					08- Ensino mdio ou 2 grau - regular seriado
					09- Ensino mdio ou 2 grau - regular no-seriado
					10- Supletivo (ensino mdio ou 2 grau)
					11- Pr-vestibular
					12- Superior  graduao
					13- Superior  mestrado ou doutorado
					Branco- para os no estudantes"	*/
@155 	M0430 $1.	/*	"INDICADORA DE IMPUTAO NA V0430
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@156 	V0431 $1.	/*	"SRIE QUE FREQENTA
					1- Primeira Srie
					2- Segunda Srie
					3- Terceira Srie
					4- Quarta Srie
					5- Quinta Srie
					6- Sexta Srie
					7- Stima Srie
					8- Oitava Srie
					9- Curso no-seriado
					Branco- para os no estudantes"	*/
@157 	M0431 $1.	/*	"INDICADORA DE IMPUTAO NA V0431
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@158 	V0432 $1.	/*	"CURSO MAIS ELEVADO QUE FREQENTOU, CONCLUINDO PELO MENOS UMA SRIE
					1- Alfabetizao de adultos
					2- Antigo primrio
					3- Antigo ginsio
					4- Antigo clssico, cientfico, etc.
					5- Ensino fundamental ou 1 grau
					6- Ensino mdio ou 2 grau
					7- Superior - graduao
					8- Mestrado ou doutorado
					9- Nenhum
					Branco- para os estudantes"	*/
@159 	M0432 $1.	/*	"INDICADORA DE IMPUTAO NA V0432
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@160 	V0433 $2.	/*	"LTIMA SRIE CONCLUDA COM APROVAO
					01- Primeira Srie
					02- Segunda Srie
					03- Terceira Srie
					04- Quarta Srie
					05- Quinta Srie
					06- Sexta Srie
					07- Stima Srie
					08- Oitava Srie
					09- Curso no-seriado
					10- Nenhuma
					Branco- para os estudantes"	*/
@162 	M0433 $1.	/*	"INDICADORA DE IMPUTAO NA V0433
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@163 	V0434 $1.	/*	"CONCLUIU O CURSO NO QUAL ESTUDOU
					1- Sim
					2- No
					Branco- para os estudantes"	*/
@164 	M0434 $1.	/*	"INDICADORA DE IMPUTAO NA V0434
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@165 	V4355 $2.	/*	"CDIGO DO CURSO MAIS ELEVADO CONCLUDO
					Branco- para os estudantes e os no estudantes que no concluram curso.
					CATEGORIAS NO ARQUIVO Cursos Superiores-Estrutura V4535.xls"	*/
@167 	M0435 $1.	/*	"INDICADORA DE IMPUTAO NA V0435
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@168 	V4300 $2.	/*	"ANOS DE ESTUDO
					00- Sem instruo ou menos de 1 ano
					01- 1 ano
					02- 2 anos
					03- 3 anos
					04- 4 anos
					05- 5 anos
					06- 6 anos
					07- 7 anos
					08- 8 anos
					09- 9 anos
					10- 10 anos
					11- 11 anos
					12- 12 anos
					13- 13 anos
					14- 14 anos
					15- 15 anos
					16- 16 anos
					17- 17 anos ou mais
					20- No determinado
					30- Alfabetizao de adultos"	*/
@170 	V0436 $1.	/*	"VIVE EM COMPANHIA DE CNJUGE OU COMPANHEIRO(A)
					1- Sim
					2- No, mas viveu
					3- Nunca viveu
					Branco- para as pessoas com menos de 10 anos de idade"	*/
@171 	M0436 $1.	/*	"INDICADORA DE IMPUTAO NA V0436
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@172 	V0437 $1.	/*	"NATUREZA DA LTIMA UNIO
					1- Casamento civil e religioso
					2- S casamento civil
					3- S casamento religioso
					4- Unio consensual
					5- Nunca viveu
					Branco- para as pessoas com menos de 10 anos de idade"	*/
@173 	M0437 $1.	/*	"INDICADORA DE IMPUTAO NA V0437
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@174 	V0438 $1.	/*	"ESTADO CIVIL
					1- Casado(a)
					2- Desquitado(a) ou separado(a) judicialmente
					3- Divorciado(a)
					4- Vivo(a)
					5- Solteiro(a)
					Branco- para as pessoas com menos de 10 anos de idade"	*/
@175 	M0438 $1.	/*	"INDICADORA DE IMPUTAO NA V0438
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@176 	V0439 $1.	/*	"NA SEMANA DE 23 A 29 DE JULHO DE 2000, TRABALHOU REMUNERADO
					1- Sim
					2- No
					Branco- para as pessoas com menos de 10 anos de idade"	*/
@177 	M0439 $1.	/*	"INDICADORA DE IMPUTAO NA V0439
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@178 	V0440 $1.	/*	"NA SEMANA, TINHA TRABALHO MAS ESTAVA AFASTADO
					1- Sim
					2- No
					Branco- para as pessoas com menos de 10 anos de idade e pessoas com 10 anos ou mais de idade que exerceram algum  
					trabalho remunerado na totalidade ou em parte da semana de referncia do Censo"	*/
@179 	M0440 $1.	/*	"INDICADORA DE IMPUTAO NA V0440
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@180 	V0441 $1.	/*	"NA SEMANA, AJUDOU SEM REMUNERAO, NO TRABALHO EXERCIDO POR PESSOA MORADORA DO DOMICLIO, OU COMO APRENDIZ/ESTAGIRIO
					1- Sim
					2- No
					Branco- para as pessoas com menos de 10 anos de idade e pessoas com 10 anos ou mais de idade que exerceram algum 
					trabalho remunerado na totalidade ou em parte da semana de referncia do Censo ou tinham algum trabalho remunerado 
					na semana de referncia do qual estava temporariamente afastado"	*/
@181 	M0441 $1.	/*	"INDICADORA DE IMPUTAO NA V0441
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@182 	V0442 $1.	/*	"NA SEMANA, AJUDOU SEM REMUNERAO, NO TRABALHO EXERCIDO POR PESSOA MORADORA DO DOMICLIO EM ATIVIDADE DE CULTIVO, 
					EXTRAO VEGETAL...
					1- Sim
					2- No
					Branco- para as pessoas com menos de 10 anos de idade e pessoas com 10 anos ou mais de idade que exerceram algum 
					trabalho remunerado na totalidade ou em parte da semana de referncia do Censo ou tinham algum trabalho remunerado 
					na semana de referncia do qual estavam temporariamente afastado ou ajudaram sem remunerao pessoa conta-prpria 
					ou empregadora moradora no domiclio, ou como aprendiz ou estagirio"	*/
@183 	M0442 $1.	/*	"INDICADORA DE IMPUTAO NA V0442
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@184 	V0443 $1.	/*	"NA SEMANA, TRABALHOU EM CULTIVO, ETC.,  PARA ALIMENTAO DE PESSOAS MORADORAS NO DOMICLIO
					1- Sim
					2- No
					Branco- para as pessoas com menos de 10 anos de idade e pessoas com 10 anos ou mais de idade que exerceram 
					algum trabalho remunerado na totalidade ou em parte da semana de referncia do Censo ou tinham algum trabalho 
					remunerado na semana de referncia do qual estavam temporariamente afastado ou ajudaram sem remunerao pessoa 
					conta-prpria ou empregadora moradora no domiclio, ou como aprendiz ou estagirio ou ajudaram sem remunerao 
					pessoa moradora no domiclio empregada em atividade de produo de bens primrios"	*/
@185 	M0443 $1.	/*	"INDICADORA DE IMPUTAO NA V0443
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@186 	V0444 $1.	/*	"QUANTOS TRABALHOS, TINHA NA SEMANA DE 23 A 29 DE JULHO DE 2000 ?
					1- Um
					2- Dois ou mais
					Branco- para as pessoas com menos de 10 anos de idade e pessoas com 10 anos ou mais de idade que no tinham 
					trabalho na semana de referncia"	*/
@187 	M0444 $1.	/*	"INDICADORA DE IMPUTAO NA V0444
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@188 	V4452 $4.	/*	"CDIGO NOVO DA OCUPAO
					Branco- para pessoa de menos de 10 anos de idade ou pessoa de 10 ou mais anos de idade que no tinha 
					trabalho na semana de referncia CATEGORIAS NO ARQUIVO Ocupao-Estrutura.doc"	*/
@192 	M4452 $1.	/*	"INDICADORA DE IMPUTAO NA V4452
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@193 	V4462 $5.	/*	"CDIGO NOVO DA ATIVIDADE
					Branco- para pessoa de menos de 10 anos de idade ou pessoa de 10 ou mais anos de idade que no tinha trabalho 
					na semana de referncia do Censo. CATEGORIAS NO ARQUIVO CnaeDom-Estrutura.xls"	*/
@198 	M4462 $1.	/*	"INDICADORA DE IMPUTAO NA V4462
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@199 	V0447 $1.	/*	"NESSE TRABALHO ERA...
					1- Trabalhador domstico com carteira de trabalho assinada
					2- Trabalhador domstico sem carteira de trabalho assinada
					3- Empregado com carteira de trabalho assinada
					4- Empregado sem carteira de trabalho assinada
					5- Empregador
					6- Conta-prpria
					7- Aprendiz ou estagirio sem remunerao
					8- No remunerado em ajuda a membro do domiclio
					9- Trabalhador na produo para o prprio consumo
					Branco- para as pessoas com menos de 10 anos de idade e pessoas com 10 anos ou mais de idade que no tinham 
					trabalho na semana de referncia"	*/
@200 	M0447 $1.	/*	"INDICADORA DE IMPUTAO NA V0447
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@201 	V0448 $1.	/*	"ERA EMPREGADO PELO RJUOU COMO MILITAR
					1- Sim
					2- No
					Branco- para as pessoas com menos de 10 anos de idade e pessoas com 10 anos ou mais de idade que no tinham trabalho 
					na semana de referncia do Censo e as que no tenham sido classificadas como empregado sem carteira de trabalho 
					assinada no trabalho principal, posio na ocupao"	*/
@202 	M0448 $1.	/*	"INDICADORA DE IMPUTAO NA V0448
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@203 	V0449 $1.	/*	"QUANTOS EMPREGADOS TRABALHAVAM NESSA FIRMA
					1- Um empregado
					2- Dois empregados
					3- Trs a cinco empregados
					4- Seis a dez empregados
					5- Onze ou mais empregados
					Branco- para as pessoas com menos de 10 anos de idade e pessoas com 10 anos ou mais de idade que no tinham 
					trabalho na semana de referncia do Censo e as que no tenham sido classificadas como empregador no trabalho principal, 
					posio na ocupao"	*/
@204 	M0449 $1.	/*	"INDICADORA DE IMPUTAO NA V0449
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@205 	V0450 $1.	/*	"ERA CONTRIBUINTE DE INSTITUTO DE PREVIDNCIA OFICIAL
					1- Sim
					2- No
					Branco- para as pessoas com menos de 10 anos de idade e pessoas com 10 anos ou mais de idade que no tinham trabalho 
					na semana de referncia do Censo e as que tenham sido classificadas como aprendiz ou estagirio sem remunerao, 
					exerciam trabalho no remunerado em ajuda a membro do domiclio, ou trabalhavam para o prprio consumo"	*/
@206 	M0450 $1.	/*	"INDICADORA DE IMPUTAO NA V0450
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@207 	V4511 $1.	/*	"NO TEM RENDIMENTO NO TRABALHO PRINCIPAL
					0- No tem
					1- Somente em benefcios
					Branco- para as pessoas com menos de 10 anos de idade e pessoas com 10 anos ou mais de idade que no tinham trabalho 
					na semana de referncia do Censo e as que tinham rendimento do trabalho principal remunerado na semana de 
					referncia do Censo"	*/
@208 	M4511 $1.	/*	"INDICADORA DE IMPUTAO NA V4511
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@209 	V4512 6.	/*	"RENDIMENTO BRUTO NO TRABALHO PRINCIPAL
					Branco- para as pessoas com menos de 10 anos de idade e pessoas com 10 anos ou mais de idade que no tinham trabalho, 
					a pessoa que tinha trabalho principal remunerado recebendo somente em benefcios e a pessoa que tinha trabalho principal no remunerado na semana de referncia do Censo"	*/
@215 	M4512 $1.	/*	"INDICADORA DE IMPUTAO NA V4512
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@216 	V4513 6.	/*	"TOTAL DE RENDIMENTOS NO TRABALHO PRINCIPAL
					Branco- para as pessoas com menos de 10 anos de idade e pessoas com 10 anos ou mais de idade que no tinham trabalho 
					na semana de referncia do Censo"	*/
@222 	V4514 6.2	/*	"TOTAL DE RENDIMENTOS NO TRABALHO PRINCIPAL, EM SALRIOS MNIMOS
					Branco- para as pessoas com menos de 10 anos de idade e pessoas com 10 anos ou mais de idade que no tinham trabalho 
					na semana de referncia do Censo"	*/
@228 	V4521 $1.	/*	"NO TEM RENDIMENTO NOS DEMAIS TRABALHOS
					0- No tem
					1- Somente em benefcios
					Branco- para as pessoas com menos de 10 anos de idade e pessoas com 10 anos ou mais de idade que no tinham trabalho 
					na semana de referncia do Censo e as que tinham rendimento de outro trabalho remunerado na semana de referncia do Censo"	*/
@229 	M4521 $1.	/*	"INDICADORA DE IMPUTAO NA V4521
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@230 	V4522 6.	/*	"RENDIMENTO BRUTO NOS DEMAIS TRABALHOS
					Branco- para a pessoa com menos de 10 anos de idade e pessoa com 10 anos ou mais de idade que no tinham trabalho, 
					a pessoa que tinha outro trabalho remunerado recebendo somente em benefcios e a pessoa que tinha outro trabalho no remunerado na semana de referncia do Censo"	*/
@236 	M4522 $1.	/*	"INDICADORA DE IMPUTAO NA V4522
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@237 	V4523 6.	/*	"TOTAL DE RENDIMENTOS NOS DEMAIS TRABALHOS
					Branco- para a pessoa com menos de 10 anos de idade e a pessoa com 10 anos ou mais de idade que no tinham trabalho 
					na semana de referncia do Censo"	*/
@243 	V4524 6.2	/*	"TOTAL DE RENDIMENTOS NOS DEMAIS TRABALHOS, EM SALRIOS MNIMOS
					Branco- para a pessoa com menos de 10 anos de idade e a pessoa com 10 anos ou mais de idade que no tinham trabalho 
					na semana de referncia do Censo"	*/
@249 	V4525 6.	/*	"TOTAL DE RENDIMENTOS EM TODOS OS TRABALHOS
					Branco- para a pessoa com menos de 10 anos de idade e a pessoa com 10 anos ou mais de idade que no tinham trabalho 
					na semana de referncia do Censo"	*/
@255 	V4526 6.2	/*	"TOTAL DE RENDIMENTOS EM TODOS OS TRABALHOS, EM SALRIOS MNIMOS
					Branco- para a pessoa com menos de 10 anos de idade e a pessoa com 10 anos ou mais de idade que no tinham trabalho 
					na semana de referncia do Censo"	*/
@261 	V0453 2.	/*	"HORAS TRABALHADAS POR SEMANA NO TRABALHO PRINCIPAL
					Branco- para a pessoa com menos de 10 anos de idade e a pessoa com 10 anos ou mais de idade que no tinham trabalho 
					na semana de referncia do Censo"	*/
@263 	M4523 $1.	/*	"INDICADORA DE IMPUTAO NA V4523
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@264 	V0454 2.	/*	"HORAS TRABALHADAS NOS DEMAIS TRABALHOS
					Branco- para a pessoa com menos de 10 anos de idade e a pessoa com 10 anos ou mais de idade que no tinham trabalho 
					na semana de referncia do Censo"	*/
@266 	M0454 $1.	/*	"INDICADORA DE IMPUTAO NA V0454
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@267 	V4534 3.	/*	"TOTAL DE HORAS TRABALHADAS
					Branco- para a pessoa com menos de 10 anos de idade e a pessoa com 10 anos ou mais de idade que no tinham trabalho 
					na semana de referncia do Censo"	*/
@270 	V0455 $1.	/*	"PROVIDNCIA PARA CONSEGUIR TRABALHO
					1 Sim
					2- No
					Branco para a pessoa com menos de 10 anos de idade e a pessoa com 10 anos ou mais de idade que tinha trabalho 
					na semana de referncia do Censo"	*/
@271 	M0455 $1.	/*	"INDICADORA DE IMPUTAO NA V0455
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@272 	V0456 $1.	/*	"EM JULHO DE 2000, ERA APOSENTADO DE INSTITUTO DE PREVIDNCIA OFICIAL
					1- Sim
					2- No
					Branco- para as pessoas com menos de 10 anos de idade"	*/
@273 	M0456 $1.	/*	"INDICADORA DE IMPUTAO NA V0456
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@274 	V4573 6.	/*	"RENDIMENTO DE APOSENTADORIA, PENSO
					Branco- para a pessoa com menos de 10 anos de idade na data de referncia do Censo"	*/
@280 	M4573 $1.	/*	"INDICADORA DE IMPUTAO NA V4573
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@281 	V4583 6.	/*	"RENDIMENTO DE ALUGUEL
					Branco- para a pessoa com menos de 10 anos de idade na data de referncia do Censo"	*/
@287 	M4583 $1.	/*	"INDICADORA DE IMPUTAO NA V4583
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@288 	V4593 6.	/*	"RENDIMENTO DE PENSO ALIMENTCIA, MESADA, DOAO
					Branco- para a pessoa com menos de 10 anos de idade na data de referncia do Censo"	*/
@294 	M4593 $1.	/*	"INDICADORA DE IMPUTAO NA V4593
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@295 	V4603 6.	/*	"RENDIMENTO DE RENDA MNIMA, BOLSA-ESCOLA, SEGURO-DESEMPREGO
					Branco- para a pessoa com menos de 10 anos de idade na data de referncia do Censo"	*/
@301 	M4603 $1.	/*	"INDICADORA DE IMPUTAO NA V4603
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@302 	V4613 6.	/*	"OUTROS RENDIMENTOS
					Branco- para a pessoa com menos de 10 anos de idade na data de referncia do Censo"	*/
@308 	M4613 $1.	/*	"INDICADORA DE IMPUTAO NA V4613
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@309 	V4614 6.	/*	"TOTAL DE RENDIMENTOS
					Branco- para a pessoa com menos de 10 anos de idade na data de referncia do Censo"	*/
@315 	V4615 6.2	/*	"TOTAL DE RENDIMENTOS, EM SALRIOS MNIMOS
					Branco- para a pessoa com menos de 10 anos de idade na data de referncia do Censo"	*/
@321 	V4620 2.	/*	"TOTAL DE FILHOS NASCIDOS VIVOS
					Branco- para os homens e as mulheres com menos de 10 anos de idade na data de referncia do Censo"	*/
@323 	M4620 $1.	/*	"INDICADORA DE IMPUTAO NA V4620
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@324 	V0463 2.	/*	"TOTAL DE FILHOS NASCIDOS VIVOS QUE ESTAVAM VIVOS
					Branco- para os homens, as mulheres com menos de 10 anos de idade e as mulheres com 10 anos ou mais de idade 
					que no tiveram filhos vivos at a data de referncia do Censo"	*/
@326 	V4654 2.	/*	"IDADE CALCULADA DO LTIMO FILHO NASCIDO VIVO
					Branco- para os homens, as mulheres com menos de 10 anos de idade e as mulheres com 10 anos de idade ou mais 
					que no tiveram filhos vivos at a data de referncia do Censo"	*/
@328 	M4654 $1.	/*	"INDICADORA DE IMPUTAO NA V4654
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@329 	V4670 2.	/*	"TOTAL DE FILHOS NASCIDOS MORTOS
					Branco- para os homens e as mulheres com menos de 10 anos de idade na data de referncia do Censo"	*/
@331 	M4670 $1.	/*	"INDICADORA DE IMPUTAO NA V4670
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@332 	V4690 2.	/*	"TOTAL DE FILHOS TIDOS
					Branco- para os homens e as mulheres com menos de 10 anos de idade na data de referncia do Censo"	*/
@334 	M0463 $1.	/*	"INDICADORA DE IMPUTAO NA V0463
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@335 	P001 11.8	/*	PESO (Peso atribudo  pessoa)	*/
@346 	ESTR $2.	/*	ESTRATO DE IMPUTAO DE RENDA	*/
@348 	ESTRP $2.	/*	ESTRATO DE IMPUTAO DE RENDA PARCIAL	*/
@350 	V4621 2.	/*	"FILHOS NASCIDOS VIVOS: HOMENS
					Branco- para os homens e as mulheres com menos de 10 anos de idade na data de referncia do Censo"	*/
@352 	M4621 $1.	/*	"INDICADORA DE IMPUTAO NA V4621
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@353 	V4622 2.	/*	"FILHOS NASCIDOS VIVOS: MULHERES
					Branco- para os homens e as mulheres com menos de 10 anos de idade na data de referncia do Censo"	*/
@355 	M4622 $1.	/*	"INDICADORA DE IMPUTAO NA V4622
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@356 	V4631 2.	/*	"FILHOS QUE ESTAVAM VIVOS: HOMENS
					Branco- para os homens, as mulheres com menos de 10 anos de idade e as mulheres com 10 anos de idade ou mais 
					que no tiveram filhos vivos at a data de referncia do Censo"	*/
@358 	M4631 $1.	/*	"INDICADORA DE IMPUTAO NA V4631
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@359 	V4632 2.	/*	"FILHOS QUE ESTAVAM VIVOS: MULHERES
					Branco- para os homens, as mulheres com menos de 10 anos de idade e as mulheres com 10 anos de idade ou mais 
					que no tiveram filhos vivos at a data de referncia do Censo"	*/
@361 	M4632 $1.	/*	"INDICADORA DE IMPUTAO NA V4632
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@362 	V0464 $1.	/*	"SEXO DO LTIMO FILHO NASCIDO VIVO
					1- Masculino
					2- Feminino
					Branco- para os homens, as mulheres com menos de 10 anos de idade e as mulheres com 10 anos ou mais 
					que no tiveram  filhos vivos at a data de referncia do Censo"	*/
@363 	M0464 $1.	/*	"INDICADORA DE IMPUTAO NA V0464
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@364 	V4671 2.	/*	"FILHOS NASCIDOS MORTOS: HOMENS
					Branco- para os homens e as mulheres com menos de 10 anos de idade na data de referncia do Censo"	*/
@366 	M4671 $1.	/*	"INDICADORA DE IMPUTAO NA V4671
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@367 	V4672 2.	/*	"FILHOS NASCIDOS MORTOS: MULHERES
					Branco- para os homens e as mulheres com menos de 10 anos de idade na data de referncia do Censo"	*/
@369 	M4672 $1.	/*	"INDICADORA DE IMPUTAO NA V4672
					0- Sem imputao
					1- NIM/IMPS
					2- PR-DIA
					3- DIA
					4- PR-DIA e DIA
					5- SPLUS
					6- DIA e SPLUS
					7- PS-SPLUS
					8- PR-DIA e PS-SPLUS
					9- DIA e PS-SPLUS
					A- PR-DIA, DIA e PS-SPLUS
					C- DIA, SPLUS e PS-SPLUS"	*/
@370 	V4354 $3.	/*	"CDIGO DO CURSO MAIS ELEVADO CONCLUDO (CONCLA)
					Branco- para os estudantes que no concluram curso CATEGORIAS NO ARQUIVO Cursos Superiores-Estrutura V4534.xls"	*/
@373 	V4219 $3.	/*	"CDIGO DA UF OU PAS DE NASCIMENTO (ONU)
					Branco- para os no migrantes e os naturais da Unidade da Federao onde foi realizado o Censo 2000. 	
					CATEGORIAS NO ARQUIVO Estrutura ONU V4219, V4269.xls"	*/
@376 	V4239 $3.	/*	"CDIGO DA UF OU PAS (ONU) DE RESIDNCIA ANTERIOR
					Branco- para os no migrantes e os que moram na Unidade da Federao h 10 anos ou mais 
					CATEGORIAS NO ARQUIVO Estrutura ONU  V4239.xls"	*/
@379 	V4269 $3.	/*	"CDIGO DA UF OU PAS (ONU) DE RESIDNCIA EM 31/07/1995
					Branco- para os no migrantes, os moradores no municpio onde foi realizado o Censo 2000 e os nascidos em 31/07/1995.
					CATEGORIAS NO ARQUIVO Estrutura ONU V4219, V4269.xls"	*/
@382 	V4279 $3.	/*	CDIGO DO PAS ESTRANGEIRO (ONU) QUE TRABALHA OU ESTUDA CATEGORIAS NO ARQUIVO Estrutura ONU V4279.xls	*/
@385 	V4451 $3.	/*	"CDIGO ANTIGO DA OCUPAO
					Branco- para pessoa de 10 anos de idade ou pessoa de 10 ou mais anos de idade que no tinha trabalho 
					na semana de referncia CATEGORIAS NO ARQUIVO Ocupao91-Estrutura.xls"	*/
@388 	V4461 $3.	/*	"CDIGO ANTIGO DA ATIVIDADE
					Branco- para pessoa de 10 anos de idade ou pessoa de 10 ou mais anos de idade que no tinha trabalho 
					na semana de referncia CATEGORIAS NO ARQUIVO Atividade91-Estrutura.xls"	*/
;
RUN;

%MEND;


 /* Exemplo de chamada da macro para o Acre
    %LE_PESSOAS(\\CHI00534610\PUBLICO_IBGE,12); */
